#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define mk make_pair

void printMatrix(ll lines, ll columns) {
    ll n = 1;
    for (size_t l = 0; l < lines; l++) {
        ll sum = 0;
        for (size_t c = 0; c < columns; c++) {
            cout << n << '\t';
            sum += n;
            n += 1;
        }
        cout << "\t\t" << sum << endl;
    }
    cout << endl;
}

long long rawSumOnLine(ll l, ll L, ll C) {
    return (2 + 2 * l * C + C - 1) * C / 2 ;
}

long long rawSumOnColumn(ll c, ll L, ll C) {
    return (2 + 2 * c + C * L - C) * L / 2 ;
}

long long newSumOnLine(ll  l, ll L, ll C, ll SumOn0Line) {
    return SumOn0Line + C * C * l;
}

long long newSumOnColumn(ll c, ll L, ll C, ll sumOn0Column) {
    return sumOn0Column + L * c;
}

long long sumOfColumnsInterval(ll l, ll r, ll L, ll C, ll sumOn0Column) {
    return (sumOn0Column * 2 + L * l + L * r) * (r - l + 1) / 2 ;
}

long long sumOfLinesInterval(ll l, ll r, ll L, ll C, ll sumOn0Line) {
    return (sumOn0Line * 2 + C * C * l + C * C * r) * (r - l + 1) / 2 ;
}

long long calcDiffWithVerticalCut(ll cut, ll L, ll C, ll sumOn0Column, ll columnsSum) {
    ll leftSum = sumOfColumnsInterval(0, cut - 1, L, C, sumOn0Column);
    ll rightSum = columnsSum - leftSum;
    return leftSum - rightSum;
}

long long calcDiffWithHorizontalCut(ll cut, ll L, ll C, ll sumOn0Line, ll linesSum) {
    ll leftSum = sumOfLinesInterval(0, cut - 1, L, C, sumOn0Line);
    ll rightSum = linesSum - leftSum;
    return leftSum - rightSum;
}



void solve() {
    ll lines, columns; cin >> lines >> columns;
    // m[l][c] = (l - 1) * columns + c
    // for line += columns
    // for column += 1

    ll SumOn0Line = rawSumOnLine(0, lines, columns);
    ll linesSum = sumOfLinesInterval(0, lines - 1, lines, columns, SumOn0Line);
    ll l = 0, r = lines, m;
    while (r - l > 1) {
        m = (l + r) / 2;
        if (calcDiffWithHorizontalCut(m, lines, columns, SumOn0Line, linesSum) < 0) {
            l = m;
        } else {
            r = m;
        }
    }

    ll HorizontalLeft = l, HorizontalRight = r;

    ll diffHorizontalLeft = calcDiffWithHorizontalCut(HorizontalLeft, lines, columns, SumOn0Line, linesSum);
    ll diffHorizontalRight = calcDiffWithHorizontalCut(HorizontalRight, lines, columns, SumOn0Line, linesSum);
    diffHorizontalLeft = abs(diffHorizontalLeft);
    diffHorizontalRight = abs(diffHorizontalRight);

    ll SumOn0Column = rawSumOnColumn(0, lines, columns);
    ll columnsSum = sumOfColumnsInterval(0, columns - 1, lines, columns, SumOn0Column);
    l = 0; r = columns;
    while (r - l > 1) {
        m = (l + r) / 2;
        if (calcDiffWithVerticalCut(m, lines, columns, SumOn0Column, columnsSum) < 0) {
            l = m;
        } else {
            r = m;
        }
    }

    ll VerticalLeft = l, VerticalRight = r;

    ll diffVerticalLeft = calcDiffWithVerticalCut(VerticalLeft, lines, columns, SumOn0Column, columnsSum);
    ll diffVerticalRight = calcDiffWithVerticalCut(VerticalRight, lines, columns, SumOn0Column, columnsSum);
    diffVerticalLeft = abs(diffVerticalLeft);
    diffVerticalRight = abs(diffVerticalRight);

    ll diffs[4] {diffHorizontalLeft, diffHorizontalRight, diffVerticalLeft, diffVerticalRight};
    pair<char, ll> a[4] {mk('H', HorizontalLeft),
                         mk('H', HorizontalRight),
                         mk('V', VerticalLeft),
                         mk('V', VerticalRight)};

    ll minRes = INT_FAST64_MAX;
    int minResIdx = -1;
    for (int i = 3; i >= 0; i--) {
        if (diffs[i] < minRes) {
            minRes = diffs[i];
            minResIdx = i;
        }
    }

    cout << a[minResIdx].first << " " << a[minResIdx].second + 1 << endl;
}


int main() {
    int tests; cin >> tests;
    while (tests--) {
        solve();
    }

    return 0;
}
