#include <bits/stdc++.h>
using namespace std;
#define ll unsigned long long

bool isCorrectMatrix(ll L, ll C, ll** m);

void printMatrix(ll L, ll C, ll** m) {
    for (ll l = 0; l < L; l++) {
        for (ll c = 0; c < C; c++) {
            cout << m[l][c] + 1 << ' ';
        }
        cout << '\n';
    }
}

// matrix[n / columns][n % columns] = comb % 3;
void brut(ll L, ll C, ll** m, ll n, ll colors) {
    if (n >= L * C) {
        if (isCorrectMatrix(L, C, m)) {
            printMatrix(L, C, m);
            exit(0);
        }
        return;
    }
    for (ll c = 0; c < colors; c++) {
        m[n / C][n % C] = c;
        brut(L, C, m, n + 1, colors);
    }
}


bool isCorrectMatrix(ll L, ll C, ll** m) {
    for (ll l = 0; l < L; l++) {
        for (ll c = 0; c < C; c++) {
            for (ll w = 1; w < C - c; w++) {
                for (ll h = 1; h < L - l; h++) {
                    if (m[l][c] == m[l + h][c] &&
                        m[l][c] == m[l][c + w] &&
                        m[l][c] == m[l + h][c + w]) {
                        return false;
                    }
                }
            }
        }
    }
    return true;
}



void solve3(ll lines, ll columns) {
    ll** matrix = new ll*[lines];
    for (ll l = 0; l < lines; l++)
        matrix[l] = new ll[columns];

    int n = 0;
    for (; n < lines * columns && n < 6; n++) {
        matrix[n / columns][n % columns] = n % 3;
    }

    brut(lines, columns, matrix, n + 1, 3);
}

void solve2(ll lines, ll columns) {
    ll** matrix = new ll*[lines];
    for (ll l = 0; l < lines; l++)
        matrix[l] = new ll[columns];

    int n = 0;
    for (; n < lines * columns && n < 6; n++) {
        matrix[n / columns][n % columns] = n % 2;
    }

    brut(lines, columns, matrix, n + 1, 2);
}


void solve() {
    ll Lines, Columns, Colors; cin >> Lines >> Columns >> Colors;

    if (Colors == 2) {
        solve2(Lines, Columns);
    } else { // Colors == 3
        solve3(Lines, Columns);
    }
}

int main() {
    solve();
    return 0;
}
