#include <bits/stdc++.h>
using namespace std;
#define ll long long

bool isCorrectMatrix(ll L, ll C, ll** m) {
    for (ll l = 0; l < L; l++) {
        for (ll c = 0; c < C; c++) {
            for (ll w = 1; w < C - c; w++) {
                for (ll h = 1; h < L - l; h++) {
                    if (m[l][c] == m[l + h][c] &&
                        m[l][c] == m[l][c + w] &&
                        m[l][c] == m[l + h][c + w]) {
                        return false;
                    }
                }
            }
        }
    }
    return true;
}

void solve3(ll lines, ll columns) {
    ll** matrix = new ll*[lines];
    for (ll l = 0; l < lines; l++)
        matrix[l] = new ll[columns];
    ll maxN = lines * columns;
    ll maxCombination = pow(3, maxN + 1) - 1;
    for (ll combination = 0; combination <= maxCombination; combination++) {
        // build matrix
        ll comb = combination;
        for (ll n = 0; n < maxN; n++) {
            matrix[n / columns][n % lines] = comb % 3;
            comb /= 3;
        }
        if (isCorrectMatrix(lines, columns, matrix)) {
            for (ll l = 0; l < lines; l++) {
                for (ll c = 0; c < columns; c++) {
                    cout << matrix[l][c] + 1 << ' ';
                }
                cout << '\n';
            }
            cout << '\n';
        }
    }
}

void solve2(ll lines, ll columns) {
    ll** matrix = new ll*[lines];
    for (ll l = 0; l < lines; l++)
        matrix[l] = new ll[columns];
    ll maxN = lines * columns;
    ll maxCombination = pow(2, maxN + 1) - 1;
    for (ll combination = 0; combination <= maxCombination; combination++) {
        // build matrix
        ll comb = combination;
        for (ll n = 0; n < maxN; n++) {
            matrix[n / columns][n % lines] = comb % 2;
            comb /= 2;
        }
        if (isCorrectMatrix(lines, columns, matrix)) {
            for (ll l = 0; l < lines; l++) {
                for (ll c = 0; c < columns; c++) {
                    cout << matrix[l][c] + 1 << ' ';
                }
                cout << '\n';
            }
            cout << '\n';
        }
    }
}


void solve() {
    ll Lines, Columns, Colors; cin >> Lines >> Columns >> Colors;


    if (Colors == 2) {
        solve2(Lines, Columns);
    } else { // Colors == 3
        solve3(Lines, Columns);
    }
}

int main() {
    solve();
    return 0;
}
